// main: ../main.scss

@keyframes ani1 {
  0% {
    max-height: $img-size;
    left: 0%;
    top: -20%;
    rotate: 500deg;
  }
  100% {
    max-height: $img-size;
    left: 100%;
    top: 100%;
  }
}

@keyframes ani2 {
  0% {
    max-height: $img-size;
    left: 50%;
    top: -20%;
    rotate: 500deg;
  }
  100% {
    max-height: $img-size;
    left: 45%;
    top: 100%;
  }
}

@keyframes ani3 {
  0% {
    max-height: $img-size;
    left: 80%;
    top: -20%;
    rotate: 500deg;
  }
  50% {
    max-height: $img-size;
    left: 20%;
    rotate: -500deg;
  }
  100% {
    max-height: $img-size;
    left: 100%;
    top: 100%;
  }
}

@keyframes ani4 {
  0% {
    max-height: $img-size;
    left: 80%;
    top: -20%;
    rotate: 500deg;
  }
  50% {
    max-height: $img-size;
    left: 20%;
    rotate: -500deg;
  }
  100% {
    max-height: $img-size;
    left: 100%;
    top: 100%;
  }
}

@keyframes ani5 {
  0% {
    max-height: $img-size;
    left: 50%;
    top: -20%;
    max-height: 100px;
    rotate: 100deg;
  }
  50% {
    max-height: $img-size;
    left: 45%;
    max-height: 500px;
  }
  100% {
    max-height: $img-size;
    left: 100%;
    top: 100%;
  }
}

@keyframes ani6 {
  0% {
    max-height: $img-size;
    left: 80%;
    top: -20%;
    transform: scaleX(10);
  }
  50% {
    max-height: $img-size;
    transform: scaleX(1);
    left: 45%;
    rotate: 100deg;
  }
  100% {
    max-height: $img-size;
    left: 0%;
    top: 100%;
  }
}

@keyframes ani7 {
  0% {
    max-height: $img-size;
    left: 0%;
    top: 100%;
  }
  70% {
    max-height: $img-size;
    left: 80%;
    top: 50%;
    max-height: 100px;
    rotate: 100deg;
  }
  80% {
    max-height: $img-size;
    left: 90%;
    top: 60%;
    max-height: 80px;
    rotate: 1000deg;
  }
  100% {
    max-height: $img-size;
    left: 0%;
    top: 100%;
  }
}

@keyframes ani8 {
  0% {
    max-height: $img-size;
    left: 20%;
    top: -100%;
  }
  100% {
    max-height: $img-size;
    left: 0%;
    top: 150%;
    rotate: 250deg;
  }
}
